/**
 * ReportList function js
 *
 * @since cms:1.4.3.2&1.4.3.3 web:1.0
 **/

var RL = {};

/**
 * init
 */
RL.init = function () {
    //Check if user is logged in
    COMMON.checkAuth(false);
    console.log('ReportList init start');
    RL.checkQuickReport();
    RL.loadCommon();
    RL.initTaskReportList();
    COMMON.closeLoading();
};

/**
 * load common
 */
RL.loadCommon = function () {
    TEMPLATE.loadHearder('#includedHeader');
    TEMPLATE.loadConfirmModal('#includedConfirmModal');
    const navs = [
        {
            titleLang: 'dashboard',
            href: 'dashboard.html',
        },
        {
            titleLang: 'pickup',
        },
    ];
    TEMPLATE.loadMainNavsTitle('#includedMainTitle', 'reportList', navs, RL.loadMainTitleCallback);
};

RL.isQuickReport;

/**
 * check quick report
 */
RL.checkQuickReport = function () {
    if (sessionStorage.OL_operationId) {
        let params = {};
        params.sid = COMMON.getSid();
        params.operationId = sessionStorage.OL_operationId;
        params.returnUrl = CONSTANT.URL.WEB.BASE + CONSTANT.URL.WEB.OPERATION_LIST;
        let url = COMMON.format(ClientData.conf_checkApiUrl(), ClientData.userInfo_accountPath()) + CONSTANT.URL.CMS.API.IS_QUICK_REPORT;
        COMMON.cmsAjax(
            url,
            params,
            false,
            function (result) {
                RL.isQuickReport = result.isQuickReport;
            },
            function () {
                COMMON.displayAlert('msgOperationEmpty');
                COMMON.avwScreenMove('index.html');
            },
        );
    } else {
        COMMON.displayAlert('error');
        COMMON.avwScreenMove('index.html');
    }
};

/**
 * init task report list
 */
RL.initTaskReportList = function () {
    if (sessionStorage.OL_operationId) {
        let params = {};
        params.sid = COMMON.getSid();
        params.operationId = sessionStorage.OL_operationId;
        params.returnUrl = CONSTANT.URL.WEB.BASE + CONSTANT.URL.WEB.OPERATION_LIST;
        let url = COMMON.format(ClientData.conf_checkApiUrl(), ClientData.userInfo_accountPath()) + CONSTANT.URL.CMS.HTML.BASE + CONSTANT.URL.CMS.HTML.TASK_REPORT_LIST;
        $('#reportList').load(url, params);
    } else {
        COMMON.displayAlert('error');
        COMMON.avwScreenMove('index.html');
    }
};

/**
 * load main title callcack
 */
RL.loadMainTitleCallback = function () {
    //add dashboard setting item
    if (RL.isQuickReport) {
        var elmA = $('<div id="btnPdfPrint" onclick="RL.goPdfPrint();">');
        let elmImg = $('<img src="../common/img/icon_pdf.svg" alt="pdf出力" class="p-1 w-40px" data-toggle="tooltip" data-placement="bottom" title="pdf出力">');
        elmImg.attr('title', I18N.i18nText('reportList'));
        elmA.append(elmImg);
        $('#mainTitleHeader').after(elmA);
    }
};

/**
 * go pdf print
 */
RL.goPdfPrint = function () {
    COMMON.avwScreenMove('pdfPrint.html');
};
